Loading...
Searching...
No Matches
L4::Ipc::Varg_list_ref Class Reference

List of variable-sized RPC parameters as received by the server. More...

`#include <ipc_varg>`

Inheritance diagram for L4::Ipc::Varg_list_ref:
Collaboration diagram for L4::Ipc::Varg_list_ref:

## Data Structures

class | Iterator
| Iterator for Valists. More...

## Public Member Functions

| Varg_list_ref ()=default
| Create an empty parameter list.
| Varg_list_ref (void const *start, void const *end)
| Create a parameter list over a given memory region.
Varg | pop_front ()
| Get the next parameter in the list.
Varg | next ()
| Get the next parameter in the list.
Iterator | begin () const
| Returns an interator to the first Varg.
Iterator | end () const
| Returns the end of the list.

## Detailed Description

List of variable-sized RPC parameters as received by the server.

The list can be traversed exactly once using next().

This is a reference list, where the returned Varg point to data in the underlying storage, conventionally the UTCB. This type should only be used in server functions when the implementation can ensure that all content is read before the UTCB is reused (e.g. for IPC), otherwise use Varg_list.

Definition at line 253 of file ipc_varg.

## Constructor & Destructor Documentation

## Varg_list_ref()

L4::Ipc::Varg_list_ref::Varg_list_ref | ( | void const * | start,
|  | void const * | end )

inline

Create a parameter list over a given memory region.

Parameters

  start | Pointer to start of the parameter list.
  end | Pointer to end of the list (inclusive).

Definition at line 332 of file ipc_varg.

References end().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- l4/sys/cxx/ipc_varg